# How to create a merged artifact that can be used for publishing to NCBO?

1) Load all ontology modules to graphs in Fuseki (using loader script)
2) Execute merged-afo.sparql and save triples to merged-afo.ttl
3) Run inferencer over merged-afo.ttl
4) Load resulting set of triples to a different dataset in Fuseki
5) Execute merged-ncbo.sparql on the dataset from 4)
6) Save resulting triples as merged-ncbo.ttl
7) Add rdfs:subClassOf statements: dct:LicenseDocument is a dct:RightsStatement is a iao:document, foaf:Organization is a af-m:organization and further triples from file manually-added-triples.ttl
8) Check result
   1) Verify that all entities have labels
      If not then add missing labels manually and/or check if/why labels are missing in step 1)
   2) Verify correct hierarchy
   3) Verify that only universals from BFO, IAO, OBI, PATO are included
   4) Verify that bfo:entity is the single top-level term
9) Open file with Protege and save as owl/xml

10) for OLS: Take artifact from 9) and load to triple store
11) Execute merged-ols.sparql 
12) Save resulting triples as merged-ols.ttl
13) repeat 8) and 9) for merged-ols.ttl

   

